Package org.eclipse.mat.report.internal

## Class AbstractPart

- java.lang.Object
- - org.eclipse.mat.report.internal.AbstractPart

Direct Known Subclasses:
  `LinkedPart`, `QueryPart`, `SectionPart`

    public abstract class AbstractPart
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract AbstractPart` `execute​(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`java.util.List<AbstractPart>` `getChildren()`
`java.lang.String` `getCommand()`
`java.lang.String` `getId()`
`java.lang.Object` `getObject​(java.lang.String key)`
`AbstractPart` `getParent()`
`ITestResult.Status` `getStatus()`
`Parameters` `params()`
`java.lang.Object` `putObject​(java.lang.String key, java.lang.Object value)`
`Spec` `spec()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getId

    public java.lang.String getId()

#### getStatus

    public ITestResult.Status getStatus()

#### getParent

    public AbstractPart getParent()

#### spec

    public Spec spec()

#### params

    public Parameters params()

#### getObject

    public java.lang.Object getObject​(java.lang.String key)

#### putObject

    public java.lang.Object putObject​(java.lang.String key,
                                      java.lang.Object value)

#### getChildren

    public java.util.List<AbstractPart> getChildren()

#### getCommand

    public java.lang.String getCommand()

#### execute

    public abstract AbstractPart execute​(IQueryContext context,
                                         ResultRenderer renderer,
                                         IProgressListener listener)
                                  throws SnapshotException,
                                         java.io.IOException

Throws:
  `SnapshotException`
  `java.io.IOException`